Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.auth
Enum SimpleAuthenticator.PasswordMode

    java.lang.Object
      java.lang.Enum<SimpleAuthenticator.PasswordMode>
          org.apache.cassandra.auth.SimpleAuthenticator.PasswordMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SimpleAuthenticator.PasswordMode>

Enclosing class:
  SimpleAuthenticator

    public static enum SimpleAuthenticator.PasswordMode

extends java.lang.Enum<SimpleAuthenticator.PasswordMode>

Enum Constant Summary
`MD5`
`PLAIN`

Method Summary
`static SimpleAuthenticator.PasswordMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SimpleAuthenticator.PasswordMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN

    public static final SimpleAuthenticator.PasswordMode PLAIN

### MD5

    public static final SimpleAuthenticator.PasswordMode MD5

Method Detail

### values

    public static SimpleAuthenticator.PasswordMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SimpleAuthenticator.PasswordMode c : SimpleAuthenticator.PasswordMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SimpleAuthenticator.PasswordMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 The Apache Software Foundation